#! perl

use strict;
use warnings;

use Path::Tiny qw[ path ];

use Test::More;

use YAML::XS qw[ LoadFile ];

use CXC::ACIS::Command::OFLS qw[ loadOFLS_dat ];
use CXC::ACIS::Command::Block qw[ loadBlock ];


my $fid = LoadFile( path ( qw [t data fiducials.yml] ) );

my $block_data = loadOFLS_dat( path ( qw [ t data current.dat ] ) );

my @tags = @ARGV ? @ARGV : path( qw[ t data blocks.lst ] )->lines( { chomp => 1 } );


for my $tag ( @tags ) {

    die( "no expected value for $tag?\n" )
      unless $fid->{$tag};

    # the fiducial data has extra wrappers; ignore them
    my $exp = $fid->{$tag}[0];

    my $got = loadBlock( $block_data->{$tag} );
    is_deeply( $got, $exp, "$tag" ) || BAIL_OUT;

}


done_testing;
