#! perl

package t::common;

use strict;
use warnings;

use IO::File;
use Path::Tiny;

use Exporter qw[ import ];
our @EXPORT_OK = qw[ read_timelines ];

sub read_timelines {

    my $timeline = shift // path( qw[ t data timelines.rpt ] );

    my $fh = IO::File->new( $timeline, 'r' )
      or die( "unable to open $timeline" );

    my $current;
    my %exp;

    while ( $_ = $fh->getline ) {

        if ( m/^\!(\S*)/ ) {

            $current = $exp{$1} = [];

        }
        else {

            my ( $id, undef, $wait ) = split( ':' );

            push @$current, { id => $id, wait => $wait };
        }
    }

    return \%exp;
}

1;
